From: AJ ONeal <aj@therootcompany.com>
Date: Sun, 21 Nov 2021 12:26:23 +0000 (+0000)
Subject: bugfix(misc): fix kind, gprox, myip, pandoc
X-Git-Url: https://git.josue.xyz/?a=commitdiff_plain;h=b1d3b44f966332434d8ec49b2a0df569e9bf8c16;p=webi-installers%2F.git

bugfix(misc): fix kind, gprox, myip, pandoc
---

diff --git a/gprox/install.sh b/gprox/install.sh
index 1032165..196c240 100644
--- a/gprox/install.sh
+++ b/gprox/install.sh
@@ -1,8 +1,8 @@
 #!/bin/bash
+set -e
+set -u
 
 function __init_gprox() {
-    set -e
-    set -u
 
     ##################
     # Install gprox #
@@ -18,13 +18,17 @@ function __init_gprox() {
     pkg_src_dir="$HOME/.local/opt/gprox-v$WEBI_VERSION"
     pkg_src="$pkg_src_cmd"
 
+    WEBI_SINGLE=true
+
     # pkg_get_current_version is recommended, but (soon) not required
     pkg_get_current_version() {
         # 'gprox --version' has output in this format:
         #       gprox 0.99.9 (rev abcdef0123)
         # This trims it down to just the version number:
         #       0.99.9
-        echo $(gprox --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
+        gprox --version 2> /dev/null |
+            head -n 1 |
+            cut -d ' ' -f 2
     }
 }
 
diff --git a/kind/install.sh b/kind/install.sh
index b3e1ed7..245869b 100644
--- a/kind/install.sh
+++ b/kind/install.sh
@@ -17,13 +17,12 @@ function __init_kind() {
     pkg_src_dir="$HOME/.local/opt/kind-v$WEBI_VERSION"
     pkg_src="$pkg_src_cmd"
 
-    pkg_install() {
-        mkdir -p "$(dirname $pkg_src_cmd)"
-        mv ./kind-*/kind "$pkg_src_cmd"
-    }
+    WEBI_SINGLE=true
 
     pkg_get_current_version() {
-        echo $(kind --version 2> /dev/null | head -n 1 | cut -d ' ' -f 2)
+        kind --version 2> /dev/null |
+            head -n 1 |
+            cut -d ' ' -f 2
     }
 
 }
diff --git a/myip/myip.sh b/myip/myip.sh
index cc60be7..94cdca7 100644
--- a/myip/myip.sh
+++ b/myip/myip.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-function __show_my_ip {
+function __show_my_ip() {
     set -u
     set -e
 
diff --git a/pandoc/install.sh b/pandoc/install.sh
index 18e9625..2ab940b 100644
--- a/pandoc/install.sh
+++ b/pandoc/install.sh
@@ -1,5 +1,6 @@
 #!/bin/bash
-function __init_pandoc{
+
+function __init_pandoc() {
     set -e
     set -u